Welcome to AC Web.
Results 1 to 11 of 11
  1. #1

    WoW 3.3.5 unable to Login (Need to validate game version) ??


    REGISTER! (FREE)
    Registered members see less ads
    and also gain access to other great features.
    ----- SOLVED ------

    Hello there everyone!. its been a while since I was working on my own wow private server. However after about 2 hours, I manage to get it working... well sort of .. For some reason it says "Unable to validate game version" and I'm like say whaaaat?



    I have not been doing anything to my wow.exe since I stopped.

    The only thing I know is that I updated my Server from 335.52 to 335.20061 (from 2013-2020) but its still a 3.3.5 Server

    HTML Code:
    TrinityCore rev. b210bb371300 2020-06-23 18:03:16 +0200 (3.3.5 branch) (Win64, Release, Static)
    Am I missing something?, is their another 3.3.5 client newer than (12340)?

    The WorldServer is working, and the auth..

    HTML Code:
    TrinityCore rev. b210bb371300 2020-06-23 18:03:16 +0200 (3.3.5 branch) (Win64, Release, Static) (worldserver-daemon) ready...
    Also if I type my password by choice I get up that my password is wrong, and not "unable to validate game version" Which was interesting... but yea..

    Does anyone knows a solution? (I don't think there is any "newer" WoW 3.3.5 Clients.

    My WoW exe is called "Wow.exe" so its not like the exe is wrong named or so.

    anyway... any help would be appreciated

    Thanks
    Last edited by chyssler; 04-07-2021 at 05:15 PM.

  2. #2
    Your Client is corrupted. Download a new 3.3.5a client

  3. #3
    Quote Originally Posted by OMGhixD View Post
    Your Client is corrupted. Download a new 3.3.5a client
    is it the wow.exe itself whos corrupted or the whole folder ? ( specific files )

    Also, where do I get a new fresh 335 Client?


    also, it would be a pain to edit files. since well ye I got alot of files... Wonder how small a normal wow 3.3.5 folder is
    Last edited by chyssler; 04-07-2021 at 04:03 PM.

  4. #4
    running amongst ghouls ..

    Join Date
    Feb 2010
    Location
    Thinking in assembly, dreaming in symbols, talking in API, living in real time.
    Posts
    11,061
    Could it be a setting in authserver.conf? If I remember correctly, that enables or disables a client version check, e.g. if you have a modified client (in any way) it will not permit logins.

  5. #5
    Quote Originally Posted by AwkwardDev View Post
    Could it be a setting in authserver.conf? If I remember correctly, that enables or disables a client version check, e.g. if you have a modified client (in any way) it will not permit logins.
    hey maybe. but im not sure what settings that would be in that case, here is my Authconfig: https://pastebin.com/HBj9vQRP


    also, no i havent edited my "Wow.exe" i just have alot of files within the folder itself

  6. #6
    running amongst ghouls ..

    Join Date
    Feb 2010
    Location
    Thinking in assembly, dreaming in symbols, talking in API, living in real time.
    Posts
    11,061
    "StrictVersionCheck = 1" - is the one to disable.

    Ideally, you should rather keep your client clean in the future, not at all hard to organize a bit while you're at things and not wonder what and when, in the future.

  7. #7
    Quote Originally Posted by AwkwardDev View Post
    "StrictVersionCheck = 1" - is the one to disable.

    Ideally, you should rather keep your client clean in the future, not at all hard to organize a bit while you're at things and not wonder what and when, in the future.
    omg thank you so much man!, i really appreciate it!. works now. FUCK yes

  8. #8
    running amongst ghouls ..

    Join Date
    Feb 2010
    Location
    Thinking in assembly, dreaming in symbols, talking in API, living in real time.
    Posts
    11,061
    Quote Originally Posted by chyssler View Post
    omg thank you so much man!, i really appreciate it!. works now. FUCK yes
    Hehe, enjoy yourself. I've been there, done that, like 15 years ago ... xD I guess I'm here for the nostalgia of it.

  9. #9
    Quote Originally Posted by AwkwardDev View Post
    Hehe, enjoy yourself. I've been there, done that, like 15 years ago ... xD I guess I'm here for the nostalgia of it.
    I just dont know why that was a thing. I have had a server for several years before 2020. but never had that issue, i guess its a new thing added, or maybe i just edited that waaaay back and dont remember it xD

  10. #10
    running amongst ghouls ..

    Join Date
    Feb 2010
    Location
    Thinking in assembly, dreaming in symbols, talking in API, living in real time.
    Posts
    11,061
    It's relatively new, 2018-19 if memory serves me right.

  11. #11

    REGISTER! (FREE)
    Registered members see less ads
    and also gain access to other great features.
    Quote Originally Posted by AwkwardDev View Post
    It's relatively new, 2018-19 if memory serves me right.
    ah okay, then it makes sense ty anyway

 

 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •